# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'paylense-sdk/version'

Gem::Specification.new do |spec|
  spec.name          = 'paylense-sdk'
  spec.version       = Paylense::VERSION
  spec.authors       = ['Acellam Guy']
  spec.email         = ['acellam.guy@gmail.com']
  spec.summary       = 'Winopay Paylense gem'
  spec.description   = 'Winopay Paylense API Client for Ruby'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the
  # RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0")
                     .reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = 'paylense-sdk'
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.3'

  spec.add_dependency 'faraday', '~> 1.0'
  spec.add_development_dependency 'bundler', '1.17.3'
  spec.add_development_dependency 'coveralls', '~> 0.8.15'
  spec.add_development_dependency 'pry', '~> 0.12'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'vcr', '~> 5.1'
  spec.add_development_dependency 'webmock', '~> 2.1'
end
